/*
 * imalib
 * 
 * Copyright 2017 Aberystwyth University
 * 
 * This library and program are free software: you can redistribute them
 * and/or modify them under the terms of the GNU General Public License as 
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 * 
 * The program and library are distributed in the hope that they will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*!
 * \file imageMCh.cpp
 * \brief Defines classes to play with mean chroma images as in
 * http://dx.doi.org/10.1007/978-3-642-04667-4_27 Implementation.
 * \author Marek Ososinski <mro7@aber.ac.uk>
 * \copyright 2017 Aberystwyth University
 */

#include "imalib/imageMCh.h"

#include <math.h>

#include <limits>

namespace imalib
{
} // namespace imalib
