/*
 * imalib
 * 
 * Copyright 2017 Aberystwyth University
 * 
 * This library and program are free software: you can redistribute them
 * and/or modify them under the terms of the GNU General Public License as 
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 * 
 * The program and library are distributed in the hope that they will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*!
 * \file commProtocol.h
 * \brief Defines the words of the protocol between the client and the
 * server of the image transmission stuff.
 * \author Fred Labrosse <ffl@aber.ac.uk>
 * \copyright 2017 Aberystwyth University
 */

#ifndef COMMIMGPROTOCOL_H
#define COMMIMGPROTOCOL_H

#include <string>

namespace commImg
{
//    const unsigned short commandLength = 8;
//    const std::string endCmd = "end";
//    const std::string getImageCmd = "getImage";
//    const std::string pingCmd = "ping";
//    const std::string imageWidthCmd = "getImgWi";
//    const std::string imageHeightCmd = "getImgHe";

// enum command
// {
//       endCmd = 0,
//       getImageCmd,
//       pingCmd
// };

const char endCmd = 'e';
const char getImageCmd = 'g';
const char pingCmd = 'p';
}

#endif // COMMIMGPROTOCOL_H
